aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-06-11 06:45:31 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-06-11 06:45:31 +0000
commitea128886c26e7aed0febc34a66cabeddb9651cd4 (patch)
treead2e657bd6d4fbe9dcba3f1efba15bcce3bbfb03
parent1dbed6f213931991ceac2f8169d4bd36861e6ca5 (diff)
downloadpaludis-ea128886c26e7aed0febc34a66cabeddb9651cd4.tar.gz
paludis-ea128886c26e7aed0febc34a66cabeddb9651cd4.tar.xz
Expose die_unless_nonfatal and assert_unless_nonfatal in exheres-0 for usage in exlibs.
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/build_functions.bash3
1 files changed, 3 insertions, 0 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
index f0b1d23..7fb443b 100644
--- a/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/build_functions.bash
@@ -21,6 +21,9 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
+alias die_unless_nonfatal='paludis_die_unless_nonfatal_func "$FUNCNAME" "$LINENO"'
+alias assert_unless_nonfatal='_pipestatus="${PIPESTATUS[*]}"; [[ -z "${_pipestatus//[ 0]/}" ]] || paludis_die_unless_nonfatal_func "$FUNCNAME" "$LINENO" "$_pipestatus"'
+
nonfatal()
{
PALUDIS_FAILURE_IS_FATAL= PALUDIS_FAILURE_IS_NONFATAL=yes "${@}"